/*
Eeprom-r.c: Reading the data you writing to EEPROM.

Compiler: BC++ 3.1, 
          Turbo C ++ 1.01(3.01) (free from http://community.borland.com/museum)

Compile mode: Small

Project: Eeprom-r.c
         ..\lib\7188xbs.lib
         
Hordware: 7188XB with Eeprom.

Detail description:
    Following list is where the user should avoid to write to
        For 7188XA/B/C      ==> block 7
        For 7188E(Xserver)  ==> block 0, 7
        For 7188E-MTCP      ==> block 0,1,2,3,7
        For 8x1x            ==> block 7
        For 8x3x (Xserver)  ==> block 0,7
        For 8000E-MTCP      ==> block 0,1,2,3,7

[27/Oct/2005] compiled by Liam
*/

#include<stdlib.h>
#include<stdio.h>
#include<conio.h>
#include<dos.h>
#include<string.h>
#include"..\..\lib\7188xb.h"

void main(void)
{
    int i, j, addr=0, data;
    
    while(addr<256)
    {
        DelayMs(10);
        Print("\n\r The value writing to 1 block address %d of EEPROM is %d", addr, ReadEEP(1, addr));
        addr++;
        if (addr%25==0)
        {
            Print("\n\rPress any key to continue...");
            Getch();
        }
    }
}