/*
DEMO97.c: Use DelayMs for LED ON/OFF.

Compiler: BC++ 3.1, 
          Turbo C ++ 1.01(3.01) (free from http://community.borland.com/museum)
          MSC 6.0,
          MSVC 1.52.

Compile mode: Large

Project: DEMO97.c
         ..\..\Lib\(7188XAL.Lib,7188XBL.Lib,7188XCL.Lib or 7188EL.Lib)

Hardware: 7188

Note: Function used:
      DelayMs  -->  delay time interval. unit is ms

[02/Nov/2005] compiled by Liam
*/

#include<stdio.h>
#include"..\..\lib\7188xb.h"    /* you must change this lib to suit the hardware that you want to use. */

void main(void)
{
    int LedMode=0;
    unsigned long value;
    int quit=0;
    
    Print("\n\rTest DelayMs() ...");
    Print("\n\rNow LED must flash once every second");
    Print("\n\rPress 'q' to quit\n\r");
    LedOff();
    while(!quit)
    {
        if(Kbhit())
        {
            switch(Getch())
            {
                case 'q':
                    quit=1;
                break;
            }
        }
        
        DelayMs(500);
        if(LedMode)
        {
            LedMode=0;
            LedOff();
        }
        else
        {
            LedMode=1;
            LedOn();
        }
    }
    
    LedOn();
}

